Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource.init
Class ScriptStatementFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.jdbc.datasource.init.ScriptStatementFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptStatementFailedException

extends java.lang.RuntimeException

Thrown by `ResourceDatabasePopulator` if a statement in one of its SQL scripts failed when executing it against the target database.

Since:
  3.0.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`ScriptStatementFailedException(java.lang.String statement, int lineNumber, EncodedResource resource, java.lang.Throwable cause)` Constructor a new ScriptStatementFailedException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptStatementFailedException

    public ScriptStatementFailedException(java.lang.String statement,
                                          int lineNumber,
                                          EncodedResource resource,
                                          java.lang.Throwable cause)

  Constructor a new ScriptStatementFailedException.

  Parameters:
    `statement` - the actual SQL statement that failed
    `lineNumber` - the line number in the SQL script
    `resource` - the resource that could not be read from
    `cause` - the underlying cause of the resource access failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD